Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.arjuna.gandiva.inventory
Class InventoryImple

    java.lang.Object
      com.arjuna.ats.arjuna.gandiva.inventory.InventoryImple

public abstract class InventoryImple
extends java.lang.Object

Inventory implementations must inherit from this base class and provide implementations of the abstract methods.

Since:
  JTS 1.0.
Version:
  $Id: InventoryImple.html,v 1.1 2008/01/04 06:52:39 afitzsim Exp $
Author:
  Mark Little (mark@arjuna.com)

Constructor Summary
`InventoryImple()`

Method Summary
`abstract void` | `addToList(InventoryElement creator)`
`ClassName` | `className()`
`abstract java.lang.Object` | `createClassName(ClassName typeName, ClassName paramClassName)` Create a new implementation of the specified type, and pass its constructor the ClassName parameter.
`abstract java.lang.Object` | `createClassNameResources(ClassName typeName, ClassName paramClassName, java.lang.Object[] paramResources)` Create a new implementation of the specified type, and pass its constructor the ClassName and array of Objects as the parameter.
`abstract java.lang.Object` | `createObjectName(ClassName typeName, ObjectName paramObjectName)` Create a new implementation of the specified type, and pass its constructor the ObjectName parameter.
`abstract java.lang.Object` | `createObjectNameResources(ClassName typeName, ObjectName paramObjectName, java.lang.Object[] paramResources)` Create a new implementation of the specified type, and pass its constructor the ObjectName and array of Objects as the parameter.
`abstract java.lang.Object` | `createResources(ClassName typeName, java.lang.Object[] paramResources)` Create a new implementation of the specified type, and pass its constructor the array of Objects as the parameter.
`abstract java.lang.Object` | `createVoid(ClassName typeName)` Create a new implementation of the specified type using a default constructor.
`abstract void` | `printList(java.io.PrintStream toUse)`
`static ClassName` | `type()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InventoryImple

    public InventoryImple()

Method Detail

### createVoid

    public abstract java.lang.Object createVoid(ClassName typeName)

  Create a new implementation of the specified type using a default constructor.

### createClassName

    public abstract java.lang.Object createClassName(ClassName typeName,
                                                     ClassName paramClassName)

  Create a new implementation of the specified type, and pass its constructor the ClassName parameter.

### createObjectName

    public abstract java.lang.Object createObjectName(ClassName typeName,
                                                      ObjectName paramObjectName)

  Create a new implementation of the specified type, and pass its constructor the ObjectName parameter.

### createResources

    public abstract java.lang.Object createResources(ClassName typeName,
                                                     java.lang.Object[] paramResources)

  Create a new implementation of the specified type, and pass its constructor the array of Objects as the parameter.

### createClassNameResources

    public abstract java.lang.Object createClassNameResources(ClassName typeName,
                                                              ClassName paramClassName,
                                                              java.lang.Object[] paramResources)

  Create a new implementation of the specified type, and pass its constructor the ClassName and array of Objects as the parameter.

### createObjectNameResources

    public abstract java.lang.Object createObjectNameResources(ClassName typeName,
                                                               ObjectName paramObjectName,
                                                               java.lang.Object[] paramResources)

  Create a new implementation of the specified type, and pass its constructor the ObjectName and array of Objects as the parameter.

### addToList

    public abstract void addToList(InventoryElement creator)

### printList

    public abstract void printList(java.io.PrintStream toUse)

### className

    public ClassName className()

### type

    public static ClassName type()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD